#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 coinbase-pro
version:              0.9.3.2
visibility:           public
id:                   coinbase-pro-0.9.3.2-Kju53sg1CRO6iQlcf9LdpX
key:                  coinbase-pro-0.9.3.2-Kju53sg1CRO6iQlcf9LdpX
license:              MIT
copyright:            2022 Michael Dunn <michaelsdunn1@gmail.com>
maintainer:           Michael Dunn <michaelsdunn1@gmail.com>
author:               Michael Dunn <michaelsdunn1@gmail.com>
homepage:             https://github.com/mdunnio/coinbase-pro#readme
synopsis:             Client for Coinbase Pro
description:          Client for Coinbase Pro REST and Websocket APIs
category:             Web, Finance
abi:                  592c6edd7eef157d779786e53d2d37e0
exposed:              True
exposed-modules:
    CoinbasePro.Authenticated CoinbasePro.Authenticated.API
    CoinbasePro.Authenticated.Accounts
    CoinbasePro.Authenticated.CoinbaseAccounts
    CoinbasePro.Authenticated.Conversion
    CoinbasePro.Authenticated.Deposit CoinbasePro.Authenticated.Fills
    CoinbasePro.Authenticated.Headers CoinbasePro.Authenticated.Limits
    CoinbasePro.Authenticated.Oracle CoinbasePro.Authenticated.Orders
    CoinbasePro.Authenticated.Payment CoinbasePro.Authenticated.Profile
    CoinbasePro.Authenticated.Report CoinbasePro.Authenticated.Request
    CoinbasePro.Authenticated.Transfer
    CoinbasePro.Authenticated.Withdrawal CoinbasePro.Environment
    CoinbasePro.Headers CoinbasePro.MarketData.AggregateOrderBook
    CoinbasePro.MarketData.FullOrderBook CoinbasePro.MarketData.Types
    CoinbasePro.Request CoinbasePro.Types CoinbasePro.Unauthenticated
    CoinbasePro.Unauthenticated.API CoinbasePro.WebSocketFeed
    CoinbasePro.WebSocketFeed.Channel
    CoinbasePro.WebSocketFeed.Channel.Full.Activate
    CoinbasePro.WebSocketFeed.Channel.Full.Change
    CoinbasePro.WebSocketFeed.Channel.Full.Done
    CoinbasePro.WebSocketFeed.Channel.Full.Match
    CoinbasePro.WebSocketFeed.Channel.Full.Open
    CoinbasePro.WebSocketFeed.Channel.Full.Received
    CoinbasePro.WebSocketFeed.Channel.Heartbeat
    CoinbasePro.WebSocketFeed.Channel.Level2
    CoinbasePro.WebSocketFeed.Channel.Status
    CoinbasePro.WebSocketFeed.Channel.Ticker
    CoinbasePro.WebSocketFeed.Request
    CoinbasePro.WebSocketFeed.Response

hidden-modules:       Paths_coinbase_pro
import-dirs:          /usr/lib/ghc-9.2.8/site-local/coinbase-pro-0.9.3.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/coinbase-pro-0.9.3.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-coinbase-pro
hs-libraries:         HScoinbase-pro-0.9.3.2-Kju53sg1CRO6iQlcf9LdpX
depends:
    HsOpenSSL-0.11.7.6-7IonHU0zSkeLMulckfJwvU
    aeson-2.1.2.1-KyNubnU5CqDCJlTVwqAgSI
    aeson-casing-0.2.0.0-G3g5tlCYbsZELNCc8wOqgg
    async-2.2.5-6x2K3uKDvG1IztgfKbhaBt base-4.16.4.0 binary-0.8.9.0
    bytestring-0.11.4.0 containers-0.6.5.1
    cryptonite-0.30-K6MaXvRizuzLZaEkhOy8d7 exceptions-0.10.4
    http-api-data-0.5.1-2CjOUqv0fUnGGnNNgbIQy7
    http-client-0.7.15-CkBNbJ6iRJ6GfA4XHZIZ9a
    http-client-tls-0.3.6.3-IKgrHq0mBsC8WcdD5dLUVV
    http-streams-0.8.9.9-6DRd7ONrKAyIkvYbGud4k4
    http-types-0.12.3-LmBjmWiQfcVBjUb8YQ5J45
    io-streams-1.5.2.2-I8oMFWjoNIHFjlVKMv54Ta
    memory-0.18.0-Hvum6HaH78UJG59LYyNLK1
    network-3.1.4.0-BiKXa6Hb7TTJJZ5dknebZ6
    servant-0.20-9i5gRqO1o3ZEgqKE4bCU1o
    servant-client-0.20-AzBTwIExYqL7GvC23QueCs
    servant-client-core-0.20-ARz1lxcZhEQJOzGf32054
    tasty-1.4.3-GXbSaGL9bFB9NMcTzZYUV2
    tasty-hunit-0.10.1-9JNAnwxcndSKmMhUmEVubj text-1.2.5.0
    time-1.11.1.1 transformers-0.5.6.2
    unagi-streams-0.2.7-8M3u4Zx24x0Eb1iEu3GnFd
    unordered-containers-0.2.20-A1aavG4ElP69oe01g9DM2E
    uuid-1.3.15-8EEPp6fq2il3zVGFV7RN9N
    vector-0.13.1.0-DKvszrUMKs76cDrBLafV7a
    websockets-0.12.7.3-9wzxBM8RHQ03v8Us9hRTSg
    wuss-2.0.1.1-9UWkeG7idxdBTfeOSf0CIs

haddock-interfaces:
    /usr/share/doc/haskell-coinbase-pro/html/coinbase-pro.haddock

haddock-html:         /usr/share/doc/haskell-coinbase-pro/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

